Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452424 - Updated nagios.spec for Nagios 3.02
Summary: Updated nagios.spec for Nagios 3.02
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 19:54 UTC by mail@romal.de
Modified: 2008-07-10 18:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-10 18:40:50 UTC


Attachments (Terms of Use)
patch for nagios.spec (deleted)
2008-07-01 20:43 UTC, mail@romal.de
no flags Details | Diff
example config file (deleted)
2008-07-01 20:44 UTC, mail@romal.de
no flags Details | Diff
nagios.cfg patch (deleted)
2008-07-01 20:44 UTC, mail@romal.de
no flags Details | Diff

Description mail@romal.de 2008-06-22 19:54:02 UTC
Description of problem:

I needed Nagios 3, so I updated the spec-file for 3.0.2:

[romal@localhost SPECS]$ diff nagios.spec nagios3.spec 
4,5c4,5
< Version: 2.12
< Release: 3%{?dist}
---
> Version: 3.0.2
> Release: 1%{?dist}
11c11
< Source0: http://dl.sourceforge.net/nagios/%{name}-%{version}.tar.gz
---
> Source0: http://downloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
82,84c82,84
< 	--with-perlcache \
< 	--with-template-objects \
< 	--with-template-extinfo	
---
> 	--enable-event-broker \
> 	--enable-nanosleep \
> 	--with-perlcache
102a103
> %{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/%{name}/objects
144a146
> %dir %{_sysconfdir}/%{name}/objects
160a163
> %config(noreplace) %{_sysconfdir}/%{name}/objects/*cfg
162a166
> %attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/objects
173a178,180
> * Sun Jul 22 2008 Robert M. Albrecht <romal@gmx.de> 3.0.2-1
> - Upstream released 3.0.2
> 
[romal@localhost SPECS]$

Comment 1 Mike McGrath 2008-06-22 21:12:16 UTC
I believe G is also working on this, (CC'd)

Comment 2 mail@romal.de 2008-06-29 18:14:39 UTC
Upstream released 3.0.3

[romal@localhost SPECS]$ diff nagios.spec nagios3.spec 
4,5c4,5
< Version: 2.12
< Release: 3%{?dist}
---
> Version: 3.0.3
> Release: 1%{?dist}
11c11
< Source0: http://dl.sourceforge.net/nagios/%{name}-%{version}.tar.gz
---
> Source0: http://downloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
82,84c82,84
< 	--with-perlcache \
< 	--with-template-objects \
< 	--with-template-extinfo	
---
> 	--enable-event-broker \
> 	--enable-nanosleep \
> 	--with-perlcache
102a103
> %{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/%{name}/objects
144a146
> %dir %{_sysconfdir}/%{name}/objects
160a163
> %config(noreplace) %{_sysconfdir}/%{name}/objects/*cfg
162a166
> %attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/objects
173a178,183
> * Sun Jul 29 2008 Robert M. Albrecht <romal@gmx.de> 3.0.3-1
> - Upstream released 3.0.3
> 
> * Sun Jul 22 2008 Robert M. Albrecht <romal@gmx.de> 3.0.2-1
> - Upstream released 3.0.2
> 
[romal@localhost SPECS]$ 


Comment 3 Mike McGrath 2008-06-29 18:43:29 UTC
Shawn is also working on this, ccing him

Comment 4 mail@romal.de 2008-07-01 13:31:03 UTC
fixed folder /var/log/nagios/spool/checkresults
two cosmetic rpmlint fixes

-----------
[romal@localhost SPECS]$ diff -Naur nagios.spec nagios3.spec 
--- nagios.spec	2008-03-18 19:23:37.000000000 +0100
+++ nagios3.spec	2008-07-01 15:27:26.000000000 +0200
@@ -1,21 +1,21 @@
 
 Name: nagios
 
-Version: 2.11
-Release: 3%{?dist}
+Version: 3.0.3
+Release: 2%{?dist}
 Summary: Host/service/network monitoring program
 
 Group: Applications/System
 License: GPLv2+
 URL: http://www.nagios.org/
-Source0: http://dl.sourceforge.net/nagios/%{name}-%{version}.tar.gz
+Source0: http://downloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
 Source1: nagios.logrotate
 Source2: nagios.htaccess
 Patch0: nagios-initrd.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: gd-devel > 1.8, mailx, libjpeg-devel, libpng-devel
-%if "%{?fedora}" > "7"
+%if 0%{?fedora} > 7
 BuildRequires:  perl-devel
 BuildRequires:  perl(ExtUtils::Embed)
 %endif
@@ -74,14 +74,15 @@
 	--with-nagios-grp=nagios \
 	--bindir=%{_sbindir} \
 	--libexecdir=%{_libdir}/%{name}/plugins \
+	--libdir=%{_libdir}/%{name} \
 	--sysconfdir=%{_sysconfdir}/%{name} \
 	--localstatedir=%{_localstatedir}/log/%{name} \
 	--with-gd-lib=%{_libdir} \
 	--with-gd-inc=%{_includedir} \
 	--enable-embedded-perl \
-	--with-perlcache \
-	--with-template-objects \
-	--with-template-extinfo	
+	--enable-event-broker \
+	--enable-nanosleep \
+	--with-perlcache
 make %{?_smp_mflags} all
 
 %{__sed} -e "s| package Embed::Persistent;|#\!%{_bindir}/perl\npackage
Embed::Persistent;|" < p1.pl > p1.pl.fedora
@@ -100,6 +101,7 @@
 %{__install} -d -m 0755 %{buildroot}/%{_prefix}/include/%{name}
 %{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/%{name}
 %{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/%{name}/private
+%{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/%{name}/objects
 %{__install} -D -m 0755 base/nagios %{buildroot}/%{_sbindir}/nagios
 %{__install} -D -m 0755 base/nagiostats %{buildroot}/%{_bindir}/nagiostats
 %{__install} -d -m 0755 cgi/ %{buildroot}/%{_libdir}/%{name}/cgi-bin/
@@ -111,6 +113,7 @@
 %{__install} -D -m 0755 daemon-init.fedora %{buildroot}/%{_initrddir}/%{name}
 %{__install} -d -m 0755 html/ %{buildroot}/%{_datadir}/%{name}/html
 %{__install} -d -m 0755 %{buildroot}/%{_localstatedir}/log/%{name}/archives
+%{__install} -d -m 0755
%{buildroot}/%{_localstatedir}/log/%{name}/spool/checkresults
 %{__install} -D -m 0755 p1.pl.fedora %{buildroot}/%{_sbindir}/p1.pl
 %{__mkdir} -p %{buildroot}/%{_initrddir}
 %{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
@@ -142,6 +145,9 @@
 %files
 %defattr(-,root,root,-)
 %dir %{_sysconfdir}/%{name}
+%dir %{_sysconfdir}/%{name}/objects
+%dir %{_libdir}/%{name}
+%dir %{_libdir}/%{name}/plugins
 %dir %{_libdir}/%{name}/plugins/eventhandlers
 %dir %{_libdir}/%{name}/cgi-bin
 %dir %{_datadir}/%{name}
@@ -156,19 +162,44 @@
 %config(noreplace) %{_sysconfdir}/httpd/conf.d/nagios.conf
 %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
 %config(noreplace) %{_sysconfdir}/%{name}/*cfg
+%config(noreplace) %{_sysconfdir}/%{name}/objects/*cfg
 
 %attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/private
+%attr(0750,root,nagios) %dir %{_sysconfdir}/%{name}/objects
 %attr(0640,root,nagios) %config(noreplace)
%{_sysconfdir}/%{name}/private/resource.cfg
 %attr(0755,nagios,nagios) %dir %{_localstatedir}/spool/%{name}
 %attr(2775,nagios,nagios) %dir %{_localstatedir}/spool/%{name}/cmd
 %attr(0755,nagios,nagios) %dir %{_localstatedir}/log/%{name}
 %attr(0755,nagios,nagios) %dir %{_localstatedir}/log/%{name}/archives
+%attr(0755,nagios,nagios) %dir %{_localstatedir}/log/%{name}/spool/
+%attr(0755,nagios,nagios) %dir %{_localstatedir}/log/%{name}/spool/checkresults
 
 %files devel
 %defattr(-,root,root)
 %{_includedir}/%{name}
 
 %changelog
+* Tue Jul 01 2008 Robert M. Albrecht <romal@gmx.de> 3.0.3-2
+- Fixed folder /var/log/nagios/spool/checkresults
+- silenced rpmlint (tabs, spaces)
+- silenced rpmlint (configure missing libdir)
+
+* Sun Jun 29 2008 Robert M. Albrecht <romal@gmx.de> 3.0.3-1
+- Upstream released 3.0.3
+
+* Sun Jun 22 2008 Robert M. Albrecht <romal@gmx.de> 3.0.2-1
+- Upstream released 3.0.2
+
+* Mon May 26 2008 Shawn Starr <shawn.starr@rogers.com> 2.12-3
+- Fix spec seems to break for Fedora 10+
+
+* Fri May 23 2008 Shawn Starr <shawn.starr@rogers.com> 2.12-2
+- Put back fix for Bugzilla #233887
+
+* Fri May 23 2008 Shawn Starr <shawn.starr@rogers.com> 2.12-1
+- Upstream released 2.12
+- Fixes CVE-2007-5803 XSS issues, Bugzilla #445512
+
 * Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.11-3
 - add Requires for versioned perl (libperl.so)
 - get rid of pointless file Requires
@@ -273,7 +304,7 @@
 * Fri Oct 04 2002 Karl DeBisschop <kdebisschop@users.sourceforge.net>
 - merge many improvements from Ramiro Morales <rm-rpms@gmx.net>
   (macros for PERF_EXTERNAL and EMBPERL, cleanup pre/post scripts,
-   nnmmsg logger macro, include eventhandlers, convertcfg, mini_epn)
+  nnmmsg logger macro, include eventhandlers, convertcfg, mini_epn)
 - use LSB-standard /etc/init.d/nagios startup location
 
 * Tue Aug 13 2002 Karl DeBisschop <kdebisschop@users.sourceforge.net>
[romal@localhost SPECS]$ 


Comment 5 mail@romal.de 2008-07-01 20:43:33 UTC
Created attachment 310718 [details]
patch for nagios.spec

Comment 6 mail@romal.de 2008-07-01 20:44:17 UTC
Created attachment 310719 [details]
example config file

Comment 7 mail@romal.de 2008-07-01 20:44:47 UTC
Created attachment 310720 [details]
nagios.cfg patch


Note You need to log in before you can comment on or make changes to this bug.